# 1. الاشتراك: الحصول على الأحداث

متابعة الاشتراكات عندما `إدراج`/`تعديل`/`إزالة` تحدث إجراءات مع "المزرعة"، "الحقل"، "صورة\_قمريّة\_للحقل"، "خريطة\_تحليل\_راستر"، "خريطة\_تحليل\_متجهية"، كيانات أخرى.

آلية الاشتراك مبنية فوق MQTT و WebSocket. توصيتنا لبدء التكامل هي بقراءة [مقالة AWS AppSync حول الاشتراكات](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
يتم إرسال أحداث الاشتراك بمجرد وقوع الحدث في نظام GeoPard الخلفي.
{% endhint %}

{% hint style="info" %}
لكل حدث اشتراك معرف فريد يُسمى `uuid`، وهو مفيد لتصفية الأحداث المعالجة والمفقودة المطلوبة من [82. استعلام: استعادة أحداث الاشتراك](/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/82.-althwyr-astaadh-ahdath-alashtrak.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/1.-alashtrak-alhswl-ala-alahdath.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
